
Foreman - Feature #1553

Add a default newline to the end of provision templates (kickstart)

03/27/2012 06:48 AM - Fries Clemens

Status: Resolved   

Priority: Low   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be helpful if the rendering of a provision template would append a newline character.

I was wondering why the last operation in a kickstart template I wrote up would not be executed. I realised after pulling the template

with curl that the kickstart file would end w/o \n. Might be specific to anaconda (version shipped with CentOS 5), though. Appending

an empty line to the template fixed that, of course :)

History

#1 - 06/07/2012 06:48 AM - Ohad Levy

- Assignee deleted (Ohad Levy)

I think this depends on if you use > as closing statement vs ->

-%> means, no EOL, so maybe simply changing it to %> should work?

#2 - 03/15/2016 06:05 AM - Ohad Levy

- Description updated

- Status changed from New to Resolved
